/*
 * Project: MoleCuilder
 * Description: creates and alters molecular systems
 * Copyright (C)  2012 University of Bonn. All rights reserved.
 * Please see the LICENSE file or "Copyright notice" in builder.cpp for details.
 */

/*
 * AtomIdValidator.cpp
 *
 *  Created on: May 14, 2012
 *      Author: ankele
 */


// include config.h
#ifdef HAVE_CONFIG_H
#include <config.h>
#endif

#include "CodePatterns/MemDebug.hpp"

#include "AtomIdValidator.hpp"

#include "Descriptors/AtomIdDescriptor.hpp"
#include "World.hpp"

bool AtomIdValidator::isValid(const atomId_t & _value) const
{
  return (World::getInstance().getAtom(AtomById(_value)) != NULL);
}

bool AtomIdValidator::operator==(const Validator<atomId_t> &_instance) const
{
  const AtomIdValidator *inst =
      dynamic_cast<const AtomIdValidator *>(&_instance);
  if (inst)
    return true;
  else
    return false;
}

Validator< atomId_t >* AtomIdValidator::clone() const
{
  Validator< atomId_t > *inst =
      new AtomIdValidator();
  return inst;
}




